# std::front_insert_iterator<Container>::front_insert_iterator

From cppreference.com
< cpp‎ | iterator‎ | front insert iterator

constexpr front_insert_iterator() noexcept = default; | (1) | (since C++20)
| (2) |
explicit front_insert_iterator( Container& c ); |  | (until C++20)
constexpr explicit front_insert_iterator( Container& c ); |  | (since C++20)

1) Initializes the underlying pointer to container with nullptr. | (since C++20)

2) Initializes the underlying pointer to the container to std::addressof(c).

### Parameters

c | - | container to initialize the inserter with

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/iterator/front_insert_iterator/front_insert_iterator&oldid=107594"